veloc
Prev | Orchestra Opcodes and Operators | Next

## veloc

veloc — Get the velocity from a MIDI event.

## Description

Get the velocity from a MIDI event.

## Syntax

    ival veloc [ilow] [, ihigh]

## Initialization

ilow, ihigh -- low and hi ranges for mapping

## Performance

Get the MIDI byte value (0 - 127) denoting the velocity of the current event.

## Examples

Here is an example of the veloc opcode. It uses the files veloc.csd and midiChords.mid.

Example 1182. Example of the veloc opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    -odac  -m0d --midi-key-cps=4  -F midiChords.mid
    ;-iadc    ;;;uncomment -iadc if realtime audio input is needed too
    </CsOptions>
    <CsInstruments>

    ; by Menno Knevel - 2021

    sr = 44100
    ksmps = 32
    nchnls = 2
    0dbfs  = 1

    ; midiChords.mid can be found in examples folder

    instr 1

    ivel veloc 0, 1			;re-scale velocity to 0 - 1
    print ivel				;print velocity
    asig vco2 .1*ivel, p4   ;
         outs asig, asig

    endin
    </CsInstruments>
    <CsScore>

    i1 0 35     ;midi file = 35 seconds

    e
    </CsScore>
    </CsoundSynthesizer>

## See also

MIDI input and Initialization

## Credits

Author: Barry L. Vercoe - Mike Berry
MIT - Mills
May 1997

Prev | Up | Next
vecdelay | Home | vexp